Loading...
Searching...
No Matches
<tt>level_set</tt>

zero level set of a field

# Synopsis

        geo level_set (const field& fh);
        geo level_set (const field& fh, const level_set_option& lopt);

# Description

Given a `field` `fh` defined in a domain `Lambda`, this function computes the level set defined by `{x in Lambda, fh(x) = 0}`. This level set is represented by the `geo` class.

# Options

The option class `leve_set_option` controls the slit of quadrilaterals into triangles for tridimensional intersected surface and also the zero machine precision, `epsilon`.

struct level_set_option {
bool split_to_triangle;
Float epsilon;
level_set_option()
: split_to_triangle(true),
epsilon(100*std::numeric_limits<Float>::epsilon())
{}
};
Float
see the Float page for the full documentation
std
STL namespace.
rheolef::level_set_option::epsilon
Float epsilon
Definition level_set.h:71
rheolef::level_set_option::split_to_triangle
bool split_to_triangle
Definition level_set.h:70
rheolef::level_set_option::level_set_option
level_set_option()
Definition level_set.h:72

# Implementation

This documentation has been generated from file main/lib/level_set.h